Package org.eclipse.birt.core.archive

# Class ArchiveLockManager.ManagerHolder

java.lang.Object
org.eclipse.birt.core.archive.ArchiveLockManager.ManagerHolder

Enclosing class:
  `ArchiveLockManager`

protected static class ArchiveLockManager.ManagerHolder extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static IArchiveLockManager`
`instance`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ManagerHolder()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### instance

public static IArchiveLockManager instance

## Constructor Details

### ManagerHolder

protected ManagerHolder()